227
ответов

Установка JDK из файла tar.gz [dубликат]

Поэтому я загрузил jdk-8u152-linux-x64.tar.gz из Oracle. Я выполнил tar zxvf jdk-8u152-linux-x64.tar.gz, и он дал мне папку под названием jdk1.8.0_152, и все, я застрял здесь, я не знаю, что делать ...
вопрос задан: 13 April 2017 15:24
14
ответов

Как сделать Java по умолчанию для JRE / JDK, установленного вручную?

У меня Ubuntu 12.04 amd64 установлен на моей машине, в предыдущих версиях Ubuntu это было смертельно просто, теперь есть команда update-java-alternatives с действительно плохой страницей руководства. У меня просто есть ...
вопрос задан: 11 July 2012 05:16
14
ответов

Установка Spark на Ubuntu

Я устанавливаю Spark IM Client для Ubuntu. Tar.gz, похоже, не работает во ВСЕХ (учитывая, что каталог / bin полностью пуст и в нем отсутствуют важные вещи, такие как unpack200), но я ...
вопрос задан: 27 June 2012 17:06
13
ответов

Как сделать java по умолчанию установленным вручную JRE / JDK?

У меня Ubuntu 12.04 amd64, установленный на моей машине, в предыдущих версиях Ubuntu было смертельно легко, теперь есть эта команда update-java-alternatives с действительно плохой страницей man. У меня только есть ...
вопрос задан: 11 July 2012 06:16
12
ответов

& ldquo; ./ configure: команда не найдена & rdquo; ошибка при попытке установить JRE [дубликат]

Я пытался установить JRE на мою 64-битную версию Ubuntu 10.04. Просто чтобы быть уверенным, что это то, чего я действительно хочу, мне нужно запустить файл .jar. Я скачал Java по этой ссылке. Тогда я выбрал Linux ...
вопрос задан: 3 July 2012 07:47
8
ответов

Java JRE не установит из-за “tar: Ошибка не является восстанавливаемой” ошибкой

Я пытался получить Java в течение прошедшего дня теперь. Я следовал нескольким учебным руководствам, но я продолжаю получать ту же ошибку. После того, как я вставил tar-xvf jre-7u4-linux-i586.tar.gz, который, как он говорит, не Может открыться: Никакой та
вопрос задан: 24 September 2012 17:14
8
ответов

Проблема при обновлении :(

Я использую Ubuntu 12.04 LTS. Недавно я установил Open JDK из Software Center, а также Iced Tea Plugin. С этого времени, когда я устанавливаю какие-либо обновления или пакеты, эта ошибка появляется. ...
вопрос задан: 5 June 2012 06:46
7
ответов

Studio Android обновляет проблему с jre/bin/java

При обновлении Studio Android я получил следующую ошибку. Патч был загружен и извлечен, но был некоторый конфликт с jre/bin/java Доступом запрещен. Сообщение об ошибке показывают в ниже...
вопрос задан: 11 October 2018 23:20
7
ответов

Проблема с запуском Web (jnlp) с Oracle 7 Java

Я только что встретил раздражающую проблему с моей java. Я попытался установить jre и jdk на Ubuntu 12.04, но что-то должно было пойти не так. Я могу запустить java -version, чтобы увидеть java-версию и javac -version для ...
вопрос задан: 27 May 2012 10:25
4
ответа

Сбой Java-плагина на последнем ядре [закрыт]

Я знаю, что плагин java npapi прекращен как firefox, так и chrome, но мне действительно нужно, чтобы java работал. Таким образом, Mozilla Build Firefox установил и сохранил его на более ранней версии (51.0.1). Java был ...
вопрос задан: 24 June 2017 16:24
4
ответа

Проблемы с Flash Player в Chromium In Ubuntu 14.04

Мне нужно было скачать видео с YouTube, и он попросил скачать плагин с веб-сайта Java. Adobe Flash Player необходим для отображения некоторых элементов на этой странице. Установите плагин. Я скачал это. ...
вопрос задан: 29 April 2014 09:11
4
ответа

Chrome сообщает, что Java плагин устарел

Я только что установил последнюю версию JRE (7u5), и Chrome все еще сообщает, что она устарела. Когда я захожу в chrome: // plugins /, он показывает следующую строку для Java: Java - версия: 1.7.0_05 ...
вопрос задан: 21 July 2012 15:11
4
ответа

Изменение JVM в Java

Я только недавно обнаружил разные JVM на вики-странице и думал, что начну заниматься ремеслом. Однако было сложно найти документацию о том, как настроить Java на Ubuntu. Допустим, я хотел ...
вопрос задан: 25 February 2012 22:14
3
ответа

Обновление до последней версии Java после прекращения работы ppa

Я пытался установить последнюю версию Java-8. Однако я обнаружил, что PPA ppa: webupd8team / java был прекращен из-за изменений в лицензии java. Как мне обновить мой ...
вопрос задан: 30 April 2019 21:43
3
ответа

JVM без JRE [закрыто]

Почему виртуальная машина Java не может работать без среды выполнения Java? Какова цель виртуальной машины Java и какова цель среды выполнения Java? Каковы оба ...
вопрос задан: 12 November 2018 17:55
3
ответа

“Библиотеки JRE отсутствуют или не совместимое” сообщение об ошибке

При попытке установить SPSS (пакет статистического анализа) использующий sudo./SPSS_23.0_LNX.bin я получаю следующее: Подготовка установить... Извлечение JRE из архива установщика... Распаковка...
вопрос задан: 23 June 2018 12:26
3
ответа

Dbeaver с местоположением SDKMAN JRE JDK

Я пытаюсь настроить Dbeaver с пользовательским расположением моей установки Java, поскольку я установил ее через SDKMAN. Для этого я добавил параметр vm в файл dbearver.ini, поэтому теперь, когда ...
вопрос задан: 12 March 2018 17:01
3
ответа

Java по умолчанию не обнаружен Maven как установленный

У меня установлена ​​Ubuntu с Oracle JDK 1.8.0_141, которая была установлена ​​с использованием этого руководства. tar-файл был извлечен в / opt / jdk и ниже команды, используемые для установки java по умолчанию. обновления-альтернативы - ...
вопрос задан: 1 February 2018 13:37
3
ответа

/ usr / sbin / update-info-dir: 1: / etc / environment: JAVA_HOME: не найден

Я пытаюсь установить nginx. Запуск: apt-get install nginx не удается сбросить странную ошибку, говоря, что JAVA_HOME Lokking в моем файле / etc / environment не выглядит так: ...
вопрос задан: 9 December 2017 23:52
3
ответа

java разбился с SIGABRT в WTFCrash ()

на недавно установленном Ubuntu 16.04, я получал Ubuntu 16.04, столкнулся с внутренней ошибкой. есть проблема с сообщением об ошибке OpenJDK с этой ошибкой, поэтому я полностью удалил Java ...
вопрос задан: 5 November 2017 04:38
3
ответа

Как удалить JDK и сохранить JRE в ubuntu 16.04

Я установил JDK-8 на свой VPS с помощью команды: sudo apt-get install openjdk-8-jdk. Но я просто понял, что мне действительно не нужны JDK и JRE для меня, поскольку я разрабатываю свои проекты на своем ноутбуке в ...
вопрос задан: 3 September 2017 13:34
3
ответа

JRE не установлен / Java отключена в Ubuntu 14, но работает в другом дистрибутиве

Мне нужно запустить несколько js с веб-страницы, но при попытке загрузить я получил сообщение об ошибке в теме. Я использую Ubuntu 14, FF 50xx и последнюю версию Java. Но та часть страницы, которая появилась ...
вопрос задан: 27 December 2016 02:13
3
ответа

Какую java установить? [duplicate]

Приложение использует java. При запуске скрипта возвращается ./browser.sh ./browser.sh: 7: ./browser.sh: java: не найден Проверяю версию java: java -v Программа 'java' может быть найдена в следующих пакетах:...
вопрос задан: 5 August 2016 13:58
3
ответа

Azureus отлично работает на последней Java, но его проверка зависимостей запрашивает устаревшую версию JRE. Как сказать Ubuntu прекратить преследовать меня за «неудовлетворенную зависимость»?

Поэтому я принудительно установил Vuze (и его зависимость Azureus) через apt-get, и он отлично работает на default-jre. Хотя default-jre работает как зависимость для Azureus (по крайней мере, для моего варианта использования ...
вопрос задан: 29 April 2016 16:27
3
ответа

Почему “Корень файловой системы” имеет только XXX остающихся дисковых пространств?

Заголовок довольно очевиден и распространен: ошибка ниже происходит очень часто. То, что я спрашиваю, - то, почему делает это происходит. Я имею в виду, смотрю на вывод GParted (первые 4 раздела требуются...
вопрос задан: 12 October 2015 21:32
3
ответа

Упаковка jre 7 двоичных файлов лицензионных вопросов?

Обратите внимание, что у jre и jdk 7 новое лицензионное соглашение. Могу ли я включить бинарный JRE без дополнительной лицензии?
вопрос задан: 7 November 2013 19:33
3
ответа

Chrome сообщает, что плагин Java устарел

Я только что установил последнюю версию JRE (7u5), и Chrome все еще сообщает, что она устарела. Когда я перехожу к chrome: // plugins /, он показывает следующую строку для Java: Java - Version: 1.7.0_05 ...
вопрос задан: 21 July 2012 16:11
2
ответа

Почему JRE не запускает мой файл .Jar [дубликат]

Прежде чем вы отметите это как то же самое, что и другие, вы должны знать, что я делал это раньше, чем сотни раз без проблем, я просто переустановил Ubuntu 18.04 2 дня назад, и я что-то пробовал ...
вопрос задан: 27 August 2018 11:02
2
ответа

eclipse: версия файла класса 53.0), эта версия Java Runtime распознает только версии файла класса до 52.0

Со вчерашнего обновления (да, обновления для Linux) eclipse запрещает мне запускать даже самый простой helloworld: он был скомпилирован более поздней версией Java Runtime (версия файла класса 53.0), ...
вопрос задан: 5 May 2018 11:17
2
ответа

Установка 8:update-альтернатив Java: ошибка: альтернативный путь/usr/lib/jvm/jdk1.8.0/bin/java не существует

Я знаю, что этот вопрос мог бы походить на дублирующийся вопрос, но я думаю нет. Я пытаюсь установить java 8 на своей ubuntu 14.04 LTS. Я попробовал много методов, но ничто не работало на меня. Так я...
вопрос задан: 14 April 2018 20:21